import { IngredientNames, Ingredients } from '@/interfaces/Ingredients';
import BuildControl from './BuildControl/BuildControl';
import './BuildControls.css';

interface Props {
    price: number
    purchasable: boolean
    ingredients: Ingredients
    lessHandler: (ingKey: IngredientNames) => void
    moreHandler: (ingKey: IngredientNames) => void
    setOpen: React.Dispatch<React.SetStateAction<boolean>>
}

const BuildControls = ({ingredients, purchasable, price, setOpen, lessHandler, moreHandler}: Props) => {
    const ingKeys = Object.keys(ingredients)

    return (
        <div className='BuildControls'>
            <p>Current Price: <strong>{price} ₸</strong></p>

            {
                ingKeys.map((ingKey, index) => (
                    <BuildControl 
                        key={ingKey + index} 
                        type={ingKey as IngredientNames}
                        moreHandler={() => moreHandler(ingKey as IngredientNames)}
                        lessHandler={() => lessHandler(ingKey as IngredientNames)}
                        disabled={!Boolean(ingredients[ingKey as IngredientNames])}
                    />
                ))
            }

            <button 
                className="OrderButton" 
                disabled={!purchasable}
                onClick={() => setOpen(true)}
            >
                ORDER NOW
            </button>
        </div>
    );
}

export default BuildControls;
