import Burger from "@/components/Burger/Burger";
import Button from "@/components/UI/Button/Button";
import type { Ingredients } from "@/interfaces/Ingredients";
import { MouseEventHandler } from "react";
import "./CheckoutSummary.css";

interface Props {
  ingredients: Ingredients;
  checkoutContinued: MouseEventHandler<HTMLButtonElement>;
  checkoutCancelled: MouseEventHandler<HTMLButtonElement>;
}

const CheckoutSummary = (props: Props) => {
    return (
        <div className="CheckoutSummary">
            <h1>We hope it tastes well!</h1>

            <div style={{ width: "100%", margin: "auto" }}>
                <Burger ingredients={props.ingredients} />
            </div>

            <Button
                btnType="Danger"
                click={props.checkoutCancelled}
            >
                CANCEL
            </Button>

            <Button
                btnType="Success"
                click={props.checkoutContinued}
            >
                CONTINUE
            </Button>
        </div>
    );
};

export default CheckoutSummary;
